Skip to content

getFixedAssets

READ

Get fixed assets.

POST /api/v1/accounting/getFixedAssets
curl -X POST '<your-host>/api/v1/accounting/getFixedAssets' \
  -H 'Authorization: Bearer <api-key>' \
  -H 'Content-Type: application/json' \
  -d '{
    "args": {}
  }'
Response
{
  "results": [
    {
      "id": "string",
      "fixedAssetId": "string",
      "fixedAssetClassId": "string",
      "name": "string",
      "serialNumber": "string",
      "status": "Draft",
      "depreciationMethod": "Straight Line",
      "acquisitionCost": 0,
      "accumulatedDepreciation": 0,
      "fixedAssetClass": {
        "id": "string",
        "name": "string"
      },
      "location": {
        "id": "string",
        "name": "string"
      }
    }
  ],
  "count": null
}

Parameters

ParameterType
"Draft""Active""Fully Depreciated""Disposed"

Input schema

schema
{
  "type": "object",
  "properties": {
    "args": {
      "type": "object",
      "properties": {
        "limit": {
          "type": "integer",
          "default": 100
        },
        "offset": {
          "type": "integer",
          "default": 0
        },
        "search": {
          "type": [
            "string",
            "null"
          ]
        },
        "status": {
          "type": [
            "string",
            "null"
          ],
          "enum": [
            "Draft",
            "Active",
            "Fully Depreciated",
            "Disposed"
          ]
        }
      }
    }
  }
}